(define-module (skg packages melonds)
  #:use-module (guix)
  #:use-module (guix build-system gnu)
  #:use-module (guix build-system cmake)
  #:use-module (guix git-download)
  #:use-module ((guix licenses) #:prefix license:)
  #:use-module (gnu packages)
  #:use-module (gnu packages kde-frameworks)
  #:use-module (gnu packages curl)
  #:use-module (gnu packages admin)
  #:use-module (gnu packages sdl)
  #:use-module (gnu packages qt)
  #:use-module (gnu packages containers)
  #:use-module (gnu packages pkg-config)
  #:use-module (gnu packages backup)
  #:use-module (gnu packages xorg)
  #:use-module (gnu packages freedesktop)
  #:use-module (gnu packages compression))

(define-public melonds
  (package
    (name "melonds")
    (version "0.9.5")
    (source
      (origin
        (method git-fetch)
        (uri (git-reference
              (url "https://github.com/melonDS-emu/melonDS.git")
              (commit "0.9.5")))
        (file-name (git-file-name name version))
        (sha256 (base32 "0c4hhs5mffj43pa2y18k70q6szc09m8yj0gqw2svszpvpz2n91cz"))))
    (inputs
     (list extra-cmake-modules pkg-config wayland egl-wayland curl libpcap sdl2 qtbase-5 qtmultimedia-5 libslirp libarchive zstd))
    (build-system cmake-build-system)
    (arguments (list 
                     #:tests? #f
                     #:build-type "Release"))
    (home-page "https://github.com/melonDS-emu/melonDS")
    (synopsis "DS emulator, sorta  The goal is to do things right and fast, akin to blargSNES (but hopefully better). But also to, you know, have a fun challenge :)")
    (description " DS emulator, sorta ")
    (license license:gpl3)))
